# Get Order Status

Use this endpoint to check the status of an order.

{% hint style="warning" %}
The GET /order endpoint has a rate limit of maximum 300 requests a minute.
{% endhint %}

## Get Order Status

<mark style="color:blue;">`GET`</mark> `https://api.ordinalsbot.com/order`

Check an inscription order status.

#### Query Parameters

| Name                                 | Type   | Description                                    |
| ------------------------------------ | ------ | ---------------------------------------------- |
| id<mark style="color:red;">\*</mark> | String | Order ID returned by the `/bulkorder` endpoint |

{% tabs %}
{% tab title="200: OK Normal Response" %}

```json
{
    status: 'ok', 
    paid: true, // order payment successfully received
    underpaid: true, // order is underpaid => user needs to complete the payment.
    expired: true, // order payment is not received in the allocated time,
    tx: {
        "commit": "edc...be9",
        "fees": 157840,
        "inscription": "dff...5i0",
        "reveal": "dff...0c5"
    }, // inscription data as returned by ord wallet
    sent: '4axxxdeadbeef', // order is inscribed and sent to the provided address
}
```

{% endtab %}

{% tab title="200: OK Error Response with Cause" %}

```json
{
    status: 'error', 
    error: 'error reason'
}
```

{% endtab %}

{% tab title="500: Internal Server Error Server Side Error" %}

```json
{
    status: 'error',
    reason: 'unable to save data'
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ordinalsbot.com/api/get-order-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
